# Get field options

Retrieve a list of available options for a field.

Supported field types: MultiOption, Option

Endpoint: GET /v2/fields/{fieldId}/options

## Path parameters:

  - `fieldId` (string, required)
    The API name for the field
    Example: "my_field"

## Query parameters:

  - `$filter` (string)
    Filter the results using OData filter syntax

  - `$skip` (integer)
    Skip the specified number of results

  - `$top` (integer)
    Limit the number of results returned

## Response 200 fields (application/json):

  - `items` (array)
    The collection of items

  - `items.label` (string,null, required)
    The user defined label of the field option
    Example: "Option A"

  - `items.value` (string,null)
    The system generated value for the field option
    Example: "option_1"

  - `items.properties` (object,null)
    Additional properties based on the type of field option. See examples for more details.

## Response 400 fields (application/problem+json):

  - `detail` (string)
    More information about the problem.

  - `errors` (object)
    A dictionary of validation errors, where each key is a field api name and the value is a list of error messages.

  - `instance` (string)
    The URI of the resource which the error relates to.

  - `operationId` (string)
    A unique trace identifier for the request. This should be provided when requesting support.

  - `status` (integer)
    The HTTP status code for the problem.

  - `title` (string)
    A short description of the error.

  - `type` (string)
    A URI which can be followed to find out more about the problem.

## Response 404 fields (application/problem+json):

  - `detail` (string)
    More information about the problem.

  - `instance` (string)
    The URI of the resource which the error relates to.

  - `operationId` (string)
    A unique trace identifier for the request. This should be provided when requesting support.

  - `status` (integer)
    The HTTP status code for the problem.

  - `title` (string)
    A short description of the error.

  - `type` (string)
    A URI which can be followed to find out more about the problem.


